---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetenvstor001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2420, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x514C0, symBinAddr: 0x75D0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53400, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x537F0, symBinAddr: 0x9900, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54790, symBinAddr: 0xA8A0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x547A0, symBinAddr: 0xA8B0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50D40, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50D44, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50D48, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50EA0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50F58, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50F5C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50F60, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50F64, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50F68, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50F70, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50F80, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50F88, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50F90, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50F98, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50FA0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50FA8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL11storageData, symObjAddr: 0x5102A, symBinAddr: 0x71CA, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50FF0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9571, offset: 0x9571, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x10C0, symSize: 0x80 }
  - { offsetInCU: 0x9606, offset: 0x9606, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1010, symSize: 0xB0 }
  - { offsetInCU: 0x9661, offset: 0x9661, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xF10, symSize: 0x100 }
  - { offsetInCU: 0x98F4, offset: 0x98F4, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1140, symSize: 0xC0 }
  - { offsetInCU: 0x9946, offset: 0x9946, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1200, symSize: 0x220 }
  - { offsetInCU: 0x9B2B, offset: 0x9B2B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1420, symSize: 0xA0 }
  - { offsetInCU: 0x9BDE, offset: 0x9BDE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x14C0, symSize: 0x110 }
  - { offsetInCU: 0x9CD4, offset: 0x9CD4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x15D0, symSize: 0x150 }
  - { offsetInCU: 0x9E31, offset: 0x9E31, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1720, symSize: 0x30 }
  - { offsetInCU: 0x9EF2, offset: 0x9EF2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1750, symSize: 0x150 }
  - { offsetInCU: 0xA0EA, offset: 0xA0EA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x18A0, symSize: 0x160 }
  - { offsetInCU: 0xA3AA, offset: 0xA3AA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1A00, symSize: 0x4A0 }
  - { offsetInCU: 0xA61D, offset: 0xA61D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1EA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA838, offset: 0xA838, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2050, symSize: 0xA0 }
  - { offsetInCU: 0xA907, offset: 0xA907, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x20F0, symSize: 0x20 }
  - { offsetInCU: 0xA93E, offset: 0xA93E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2110, symSize: 0x20 }
  - { offsetInCU: 0xA975, offset: 0xA975, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2130, symSize: 0x20 }
  - { offsetInCU: 0xAAE4, offset: 0xAAE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2150, symSize: 0x1A0 }
  - { offsetInCU: 0xAE00, offset: 0xAE00, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x22F0, symSize: 0x130 }
  - { offsetInCU: 0xAFB0, offset: 0xAFB0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2690, symSize: 0x1B0 }
  - { offsetInCU: 0xB29F, offset: 0xB29F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2840, symSize: 0x80 }
  - { offsetInCU: 0xB368, offset: 0xB368, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x28C0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEFD, offset: 0xBEFD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA560, symBinAddr: 0x3FB0, symSize: 0xB0 }
  - { offsetInCU: 0xBF74, offset: 0xBF74, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2F60, symSize: 0x70 }
  - { offsetInCU: 0xC010, offset: 0xC010, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2FD0, symSize: 0xA0 }
  - { offsetInCU: 0xC11B, offset: 0xC11B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3070, symSize: 0x40 }
  - { offsetInCU: 0xC211, offset: 0xC211, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x30B0, symSize: 0x2B0 }
  - { offsetInCU: 0xC5B7, offset: 0xC5B7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3360, symSize: 0xC0 }
  - { offsetInCU: 0xC6FD, offset: 0xC6FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3420, symSize: 0x10 }
  - { offsetInCU: 0xC7BF, offset: 0xC7BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3430, symSize: 0x220 }
  - { offsetInCU: 0xCABC, offset: 0xCABC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3650, symSize: 0x10 }
  - { offsetInCU: 0xCB19, offset: 0xCB19, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3660, symSize: 0x490 }
  - { offsetInCU: 0xD1AB, offset: 0xD1AB, size: 0x8, addend: 0x0, symName: __ZL15checkEnvStorageP9_jvmtiEnvP17_StorageStructurePKc, symObjAddr: 0xA100, symBinAddr: 0x3B50, symSize: 0x200 }
  - { offsetInCU: 0xD32A, offset: 0xD32A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA0A0, symBinAddr: 0x3AF0, symSize: 0x10 }
  - { offsetInCU: 0xD387, offset: 0xD387, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0xA0B0, symBinAddr: 0x3B00, symSize: 0x50 }
  - { offsetInCU: 0xD41F, offset: 0xD41F, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xA300, symBinAddr: 0x3D50, symSize: 0x1C0 }
  - { offsetInCU: 0xD65C, offset: 0xD65C, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4C0, symBinAddr: 0x3F10, symSize: 0xA0 }
  - { offsetInCU: 0xD71C, offset: 0xD71C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA610, symBinAddr: 0x4060, symSize: 0x36A }
...
